Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.types
Interface Labeling

All Superinterfaces:
  AlphabetCarrying

All Known Implementing Classes:
  Label, LabelVector

    public interface Labeling

extends AlphabetCarrying

A distribution over possible labels for an instance.

Method Summary
`void` | `addTo(double[] values)`
`void` | `addTo(double[] values, double scale)`
`int` | `getBestIndex()`
`Label` | `getBestLabel()`
`double` | `getBestValue()`
`LabelAlphabet` | `getLabelAlphabet()`
`Label` | `getLabelAtRank(int rank)`
`int` | `getRank(int labelIndex)`
`int` | `getRank(Label label)`
`double` | `getValueAtRank(int rank)`
`int` | `indexAtLocation(int pos)`
`Label` | `labelAtLocation(int pos)`
`int` | `numLocations()`
`LabelVector` | `toLabelVector()`
`double` | `value(int labelIndex)`
`double` | `value(Label label)`
`double` | `valueAtLocation(int pos)`

Methods inherited from interface cc.mallet.types.AlphabetCarrying
`getAlphabet, getAlphabets`

Method Detail

### getLabelAlphabet

    LabelAlphabet getLabelAlphabet()

### getBestLabel

    Label getBestLabel()

### getBestValue

    double getBestValue()

### getBestIndex

    int getBestIndex()

### value

    double value(Label label)

### value

    double value(int labelIndex)

### getRank

    int getRank(Label label)

### getRank

    int getRank(int labelIndex)

### getLabelAtRank

    Label getLabelAtRank(int rank)

### getValueAtRank

    double getValueAtRank(int rank)

### addTo

    void addTo(double[] values)

### addTo

    void addTo(double[] values,
               double scale)

### numLocations

    int numLocations()

### indexAtLocation

    int indexAtLocation(int pos)

### labelAtLocation

    Label labelAtLocation(int pos)

### valueAtLocation

    double valueAtLocation(int pos)

### toLabelVector

    LabelVector toLabelVector()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD